Skip to main content
GET
/
2025-09
/
products
List all Products
curl --request GET \
  --url https://public-api.stora.co/2025-09/products \
  --header 'Authorization: Bearer <token>'
{
  "products": [
    {
      "id": "prod_2af1a177df617f3c",
      "accounting_code": "CUSTOM-PRODUCT-1",
      "category": {
        "id": "pcat_a434b3a5bc8102bc"
      },
      "charge_type": "recurring",
      "created_at": "2025-02-21T14:41:00Z",
      "description": "Custom product description",
      "name": "Recurring Product",
      "prices": [
        {
          "billing_period": "monthly",
          "price": {
            "amount": 1000,
            "currency": "GBP",
            "formatted": "£10.00"
          },
          "stripe_price_id": "price_O7afgQy1NVctmTS9sGyROoUL"
        }
      ],
      "site": {
        "id": "site_14b419f1096013f1"
      },
      "sku": null,
      "updated_at": "2025-02-22T14:41:00Z"
    },
    {
      "id": "prod_82f059cc36dded80",
      "accounting_code": "CUSTOM-PRODUCT-1",
      "category": {
        "id": "pcat_a434b3a5bc8102bc"
      },
      "charge_type": "one_time",
      "created_at": "2025-02-20T14:41:00Z",
      "description": "Custom product description",
      "name": "One Time Product",
      "prices": [
        {
          "billing_period": "one_time",
          "price": {
            "amount": 2000,
            "currency": "GBP",
            "formatted": "£20.00"
          },
          "stripe_price_id": "price_yJbKiofvzKf1OvsYIAlQQNF0"
        }
      ],
      "site": {
        "id": "site_14b419f1096013f1"
      },
      "sku": null,
      "updated_at": "2025-02-22T14:41:00Z"
    }
  ],
  "meta": {
    "request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
    "curies": [
      {
        "name": "bo",
        "href": "https://app.stora.test{rel}",
        "templated": true,
        "title": "Backoffice"
      },
      {
        "name": "sf",
        "href": "https://acme.stora.test{rel}",
        "templated": true,
        "title": "Storefront"
      }
    ],
    "pagination": {
      "count": 2,
      "last": 1,
      "limit": 50,
      "next": null,
      "page": 1,
      "pages": 1,
      "prev": null
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer Token necessary to use API

Query Parameters

page
integer

Pagination: Page number

Required range: x >= 1
limit
integer

Pagination: Limit number of items per page.

Required range: 1 <= x <= 100
site_id
string[]

Filter by Site IDs. Supports multiple values separated by a comma.

sort_by
enum<string>

Sorting by attribute. Default created_at

Available options:
created_at
sort_direction
enum<string>

Sorting by ASC or DESC direction. Default DESC

Available options:
ASC,
DESC
expand
string[]

This endpoint supports expandable responses. For more, see the documentation page.

category_id
string[]

Filter by Category IDs. Supports multiple values separated by a comma.

charge_type
enum<string>[]

Filter by charge_type. Supports multiple values separated by a comma.

Available options:
one_time,
recurring
created_after
string<date-time>

Filters results to created after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

created_before
string<date-time>

Filters results to created before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

Response

200 - application/json

list of products

List of Products

products
object[]
meta
object